org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageInitRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord
      - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class MetaPageInitRecord
    extends InitNewPageRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord

`ioVer, newPageId`

### Constructor Summary

Constructors
Constructor and Description
`MetaPageInitRecord(int grpId, long pageId, int ioType, int ioVer, long treeRoot, long reuseListRoot)`
`MetaPageInitRecord(int grpId, long pageId, int ioType, int ioVer, long treeRoot, long reuseListRoot, @Nullable IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `ioType()`
`long` `reuseListRoot()`
`String` `toString()`
`long` `treeRoot()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord

`ioVersion, newPageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaPageInitRecord

    public MetaPageInitRecord(int grpId,
                              long pageId,
                              int ioType,
                              int ioVer,
                              long treeRoot,
                              long reuseListRoot)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `ioType` - IO type.
  `ioVer` - Io version.
  `treeRoot` - Tree root.
  `reuseListRoot` - Reuse list root.

#### MetaPageInitRecord

    public MetaPageInitRecord(int grpId,
                              long pageId,
                              int ioType,
                              int ioVer,
                              long treeRoot,
                              long reuseListRoot,
                              @Nullable
                              @Nullable IgniteLogger log)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `ioType` - IO type.
  `treeRoot` - Tree root.
  `reuseListRoot` - Reuse list root.
  `log` - Logger for case data is invalid. Can be `null`, but is needed when processing existing storage.

### Method Detail

#### treeRoot

    public long treeRoot()

Returns:
  Tree root.

#### reuseListRoot

    public long reuseListRoot()

Returns:
  Reuse list root.

#### ioType

    public int ioType()

Overrides:
  `ioType` in class `InitNewPageRecord`
Returns:
  IO Type.

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Overrides:
  `applyDelta` in class `InitNewPageRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `InitNewPageRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `InitNewPageRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020